Skip to main content
[GET]
{{baseUrl}}/api/v1/gh/kyc/dl
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringThe Voter Number, Application ID, or National ID Number (NIN)required
full_name *stringThe full name of the document holderrequired
date_of_birth*stringThe date of birth of the document holder in the format yyyy-MM-DDrequired

Sample response

Response
{
    "entity": {
        "certificate_date": "2010-07-19",
        "date_of_birth": "1988-09-01",
        "expiry_date": "2016-08-25",
        "full_name": "John Doe",
        "id": "V1234567",
        "is_date_of_birth_match": true,
        "is_full_name_match": true,
        "issue_date": "2010-08-25",
        "picture": "/9j/4AAQSkZJRgABAQAAAQABA",
        "pin": "DOE-310203-03-01",
        "processing_center": "VR3"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.certificate_datestringDate the driving certificate was issued (yyyy-MM-dd)
entity.date_of_birthstringDate of birth of the individual (yyyy-MM-dd)
entity.expiry_datestringExpiry date of the driver’s license (yyyy-MM-dd)
entity.full_namestringFull name of the license holder
entity.idstringDriver’s license ID number
entity.is_date_of_birth_matchbooleanWhether the provided date of birth matches the record
entity.is_full_name_matchbooleanWhether the provided name matches the record
entity.issue_datestringDate the license was issued (yyyy-MM-dd)
entity.picturestringBase64-encoded photo of the individual
entity.pinstringPersonal identification number associated with the license
entity.processing_centerstringCenter where the license was processed